#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-EWrlgTX7Fn4LLydhXCZ3jb
key:                  ghcide-2.0.0.0-EWrlgTX7Fn4LLydhXCZ3jb
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  e3a1e895861ed021b79d302e77045b24
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-EWrlgTX7Fn4LLydhXCZ3jb
depends:
    Diff-0.4.1-5tiatjLd0Kd6kPxEAl95e4
    Glob-0.10.2-CeCXjir81Kk4L8k8b5PDuE
    aeson-2.1.2.1-JtwfP0wSn8NCfmI6cbJvU2
    aeson-pretty-0.8.10-6GwmvpHUIXv86raeMkA2OH array-0.5.4.0
    async-2.2.5-J9p2Vn8IaJo7CsFA60CTW1 base-4.17.2.1
    base16-bytestring-1.0.2.0-ETHrW4Iofn13w7T0drjGoz binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-C4WS5yOTGalFWNdRHukHW1
    co-log-core-0.3.2.4-3bkvsZ4pLA7D1xF1bvK7m3 containers-0.6.7
    cryptohash-sha1-0.11.101.0-BhlYwIJ7e9r8jfJZvMwXAM
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-GMHNVVaZUQoJMXrvy8aBNV
    dependent-sum-0.7.2.0-BZLcTByqolz1tL2Xst63Fw directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-DEVOkOxykkE9FbaXOvINLs exceptions-0.10.5
    extra-1.7.16-F5Rxe4JueYuCrnwKvJW3VT filepath-1.4.2.2
    fingertree-0.1.5.0-EZ5veGpZAg89upJvoOyH7L
    focus-1.0.3.2-9EJyYVw41vaHFsl9lwFeoI ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-HrQaj5abSJD9T4B8GjtuaH
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-KqOJt9tHlik15vWA6FGYaG
    hashable-1.4.4.0-HCcAO2fxJDDEJfuKpVflTS
    hie-bios-0.12.0-ANh6q42V9rbAQg7jAGSQ69
    hie-compat-0.3.1.0-2tE0BywuY1uCHPTKGthbku
    hiedb-0.4.3.0-A9U1tdTapIf3EydrtMrJSq
    hls-graph-2.0.0.0-GhTfsgGbH8zFTGMB6CXker
    hls-plugin-api-2.0.0.0-Kupf5YqCRZd4Ptteceoqgq
    implicit-hie-0.1.2.7-7pbNlduNztqGIHladhQoRj
    implicit-hie-cradle-0.5.0.1-LDH8qLm2PF1CjmaOLA8a7n
    lens-5.2.3-L3i2UjhlizAJHOs2jD5fLZ
    list-t-1.0.5.5-ABWRwZjTAL1JHle3XwVusZ
    lsp-1.6.0.0-7wkYu5mVuH17doYFvcUgoA
    lsp-types-1.6.0.1-A6VrdMLgWEjAJpcoNAQOAc mtl-2.2.2
    opentelemetry-0.8.0-GoRZw1AFSyIL4S0vP0f6FF
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-I4UrbihBLM58UsJvJkBG1V
    prettyprinter-ansi-terminal-1.1.3-DRp6UCwcYgBIYLWusg1SvF
    random-1.2.1.2-3WH3fpxRON0BXsBQRmhDIT
    regex-tdfa-1.3.2.3-BTD1xwyKyGQ4QbHQgCAzVW
    safe-exceptions-0.1.7.4-HdOXp7KoDWmJsLkhqV5MLN
    sorted-list-0.2.3.1-3s4f1s4vQxq90f1EmnRXo5
    sqlite-simple-0.4.19.0-BDvU7GCOTr6L4a4GmtQegq stm-2.5.1.0
    stm-containers-1.2.1.1-Hr2hN2O1DlS5pv1qbajJcv
    syb-0.7.2.4-2YD6CDfMmJX8WUaza11ezv text-2.0.2
    text-rope-0.3-Cs93jVK6UIUKl5Pzi6Xi41 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-7u1QGaUA9IsL8Sv7PZdeYy
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-I6MqYi1ZitpKUe3ww5yyKM
    vector-0.13.1.0-2w7Kefz4Viy7lxr9yJSbMz

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

